Skip to content

Retrieves a member's dependents

GET
/api/v2.0/stores/{storeId}/members/{memberId}/dependents
curl --request GET \
--url https://api.diller.app/api/v2.0/stores/your-store-id/members/m_nsr714RRBEHX/dependents \
--header 'Authorization: Bearer <token>'
storeId
required
string

The Store id

Example
your-store-id
memberId
required
string

The member id

Example
m_nsr714RRBEHX

OK

Media typeapplication/json
Array<object>
object
id

The id of the dependant

integer format: int32
name

The name of the dependent. It cannot be empty or greater than 50 characters long

string
nullable
birthdate

The birthdate of the dependent is defined in the format yyyy-MM-dd. The date must be valid.If the day or month is unknown, use 1 instead.

string
nullable
gender

Valid options: Male - Female - NotShared - When the member didn’t want to share their gender NonBinary - When a member does not fit into the categories of ‘man’ or ‘woman’

string
Allowed values: Male Female NotShared NonBinary
Example
[
{
"gender": "Male"
}
]

Bad Request

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
errors
object
key
additional properties
Array<string>
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example",
"errors": {
"additionalProperty": [
"example"
]
}
}